Installing iLife ’08 and iWork ’08 (part 2)


After upgrading my PowerBook G4 to Mac OS X 10.4.10 and QuickTime 7.2, I inserted the iLife ’08 installer DVD to begin the upgrade process. Lo and behold, I was greeted by a ‘friendly’ message window that my 3-year-old laptop does not meet the minimum system requirements (an Intel processor or a PowerMac G5 running at 1.9 GHz and above) to run iMovie ’08. Since I’ve never bothered to learn iMovie ’06 (even though it is installed on my laptop), I guess I’ll continue to use Final Cut Pro 5.1 when editing videos on my laptop.

iLife ‘08 error message

After installing iWork ’08 and iLife ’08 (excluding iMovie, of course), I waited patiently for all the software patches to download and install themselves.

iLife ‘08 and iWork ‘08 software updates

Advertisements

Leave a comment

Filed under Apple Software

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s